/*:
 * @target MZ MV
 * @url 
 * @plugindesc エロタン星人 自作プラグイン
 * @author  エロタン星人
 *
 * @param TitleFontSize
 * @text タイトルのフォントサイズ
 * @desc タイトルのフォントサイズです。default 72
 * @default 72
 * @type number
 *
 * @param TitleOutlineWidth
 * @text タイトルのOutlineWidth
 * @desc タイトルのOutlineWidthです。default 8
 * @default 8
 * @type number
 *
 * @param TitleOnOff
 * @type boolean
 * @text タイトルの表示
 * @desc タイトルの表示です。default true
 * @on はい
 * @off いいえ
 * @default true
 *
 * @param TryOnOff
 * @type boolean
 * @text 体験版の表示
 * @desc 体験版の表示です。default true
 * @on はい
 * @off いいえ
 * @default true
 *
 * @command  体験版
 * @text 体験版
 * @desc 体験版を表示。
 *
 * @command 調教名
 * @text 調教名を変数に代入
 * @desc 調教名を変数に代入します。
 *
 * @command 調教効果音＆待つ
 * @text 調教効果音＆待つ
 * @desc 調教効果音＆待つ。
 *
 * @command ノベル効果音＆待つ
 * @text ノベル効果音＆待つ
 * @desc  ノベル効果音＆待つ。 
 *
 * @command 精子発射音
 * @text 精子発射音
 * @desc 精子発射音。 
 * 
 * @command ピクチャ_全消去
 * @text ピクチャ_全消去
 * @desc ピクチャ_全消去します。
 *
 * @command Letter
 * @text Letter
 * @desc Letterします。
 * 
 * @arg LetterName
 * @type string
 * @text LetterName
 * @desc LetterNameです。
 *
 * @command face
 * @text face
 * @desc faceをセットします。
 *
 * @arg FaceOnOff
 * @type boolean
 * @text 顔のランダム表示
 * @desc 顔のランダム表示です。default false
 * @on はい
 * @off いいえ
 * @default false
 *
 * @arg ActorImg
 * @type string
 * @text ActorImg
 * @desc ActorImgです。
 *
 * @arg FaceNumber
 * @type number
 * @default 0
 * @text FaceNumber Number
 * @desc FaceNumber Numberです。
 * 
 * @arg  Message
 * @type string
 * @text Message
 * @desc Messageです。
 *
 * @help
 * ロタン星人 自作プラグイン
 */

(() => {

	'use strict';

    var parameters = PluginManager.parameters('Erotan_Plugin');
    var TitleFontSize = Number(parameters['TitleFontSize']) || 72;
    var TitleOutlineWidth = Number(parameters['TitleOutlineWidth']);
    var TitleOnOff = parameters['TitleOnOff'] === 'true';
    var TryOnOff = parameters['TryOnOff'] === 'true';
    var tryHoge;

    Scene_Title.prototype.createBackground = function() {
    this._backSprite1 = new Sprite(
        ImageManager.loadPicture("movies/0_cover560x420_00000")
    );

    this._backSprite2 = new Sprite(
        ImageManager.loadTitle2($dataSystem.title2Name)
    );
    this.addChild(this._backSprite1);
    this.addChild(this._backSprite2);
};

    Scene_Title.prototype.createForeground = function() {
    this._gameTitleSprite = new Sprite(
        new Bitmap(Graphics.width, Graphics.height)
    );
    this.addChild(this._gameTitleSprite);
    if(TryOnOff){
        tryHoge = 1;
        var sprite = new Sprite(ImageManager.loadPicture("try"));
        sprite.x = Graphics.width / 2;
        sprite.y = Graphics.height / 2;
        sprite.anchor.x = 0.5;
        sprite.anchor.y = 0.5;
        this.addChild(sprite);
    }
    if ($dataSystem.optDrawTitle) {
        this.drawGameTitle();
    }
    };

    Scene_Title.prototype.drawGameTitle = function () {
        var x = 20;
        var y = Graphics.height / 4;
        var maxWidth = Graphics.width - x * 2;
        var text = $dataSystem.gameTitle;
        this._gameTitleSprite.bitmap.outlineColor = 'black';
        this._gameTitleSprite.bitmap.outlineWidth = TitleOutlineWidth;
        this._gameTitleSprite.bitmap.fontSize = TitleFontSize;
        if(TitleOnOff){
        this._gameTitleSprite.bitmap.drawText(text, x, y, maxWidth, 48, 'center');
        }
    };
// ******************************************************************************
    function f_Array(num){
    var obj = num.split(",");
    var i=Math.floor(Math.random()*obj.length);
    return obj[i];
    }
    var Num_RandomNumber;
    var Num_RandomNumber_string;    
    function f_RandomNumber(NumTotal,numDigit,numDefault){
    Num_RandomNumber = Math.floor(Math.random()*NumTotal) + numDefault;
    if(Num_RandomNumber < 10 && numDigit == "2") {Num_RandomNumber_string = "0" + Num_RandomNumber}
    else{Num_RandomNumber_string = String(Num_RandomNumber)}
    return Num_RandomNumber_string;
    };


   
    function f_RepeatWord(hoge){
    var hoge2  = hoge;
    var max = Math.floor(Math.random()*3);
     for(var i = 0; i < max; i++){hoge2 = hoge2 + hoge;}
    return hoge2;
    };
    function f_RepeatWord2(hoge){
    var hoge2  = "";
    var max = Math.floor(Math.random()*3);
     for(var i = 0; i < max; i++){hoge2 = hoge2 + hoge;}
    return hoge2;
    };
    function f_A_Word(){
     let hoge;
     let num = Math.floor(Math.random()*28) + 1;
        
        if (num == 1){ hoge = f_RepeatWord("あ") + f_RepeatWord("ん") + f_RepeatWord("っ") + f_RepeatWord2("！"); }        
        if (num == 2){ hoge = f_RepeatWord("あ") + f_RepeatWord("ん") + f_RepeatWord("っ") + f_RepeatWord2("！"); }        
        if (num == 3){ hoge = "あ゛" + f_RepeatWord("ん") + f_RepeatWord("っ") + f_RepeatWord2("！"); }
        if (num == 4){ hoge = f_RepeatWord("あ") + f_RepeatWord("ん") + f_RepeatWord("…") + f_RepeatWord2("！"); }
        if (num == 5){ hoge = "あ゛" + f_RepeatWord("ん") + f_RepeatWord("…") + f_RepeatWord2("！"); }
        if (num == 6){ hoge = f_RepeatWord("あ") + f_RepeatWord("ん") + f_RepeatWord("ー") + f_RepeatWord("っ") + f_RepeatWord2("！"); }
        if (num == 7){ hoge = f_RepeatWord("あ") + f_RepeatWord("ん") + f_RepeatWord("…") + f_RepeatWord("っ") + f_RepeatWord2("！"); }
        
        if (num == 8){ hoge = "は" + f_RepeatWord("ふ") + f_RepeatWord("う") + f_RepeatWord("ぅ") + f_RepeatWord2("！"); }
        if (num == 9){ hoge = "は" + f_RepeatWord("ふ") + f_RepeatWord("う") + f_RepeatWord("ぅ") + f_RepeatWord("…") + f_RepeatWord2("！"); }
        if (num == 10){ hoge = "は" + f_RepeatWord("ふ") + f_RepeatWord("う") + f_RepeatWord("ぅ") + f_RepeatWord("っ") + f_RepeatWord2("！"); }
        if (num == 11){ hoge = "は" + f_RepeatWord("ふ") + f_RepeatWord("う") + f_RepeatWord("ぅ") + f_RepeatWord("う") + "゛" + f_RepeatWord("ぅ") + f_RepeatWord("…") + f_RepeatWord2("！"); }
        if (num == 12){ hoge = "は" + f_RepeatWord("ふ") + f_RepeatWord("う") + "゛" + f_RepeatWord("ぅ") + f_RepeatWord("う") + "゛" + f_RepeatWord("ぅ") + f_RepeatWord("っ") + f_RepeatWord2("！"); }
        if (num == 13){ hoge = "は" + f_RepeatWord("ふ") + f_RepeatWord("う") + f_RepeatWord("ぅ") + f_RepeatWord("う") + f_RepeatWord("ぅ") + f_RepeatWord("っ") + f_RepeatWord2("！"); }
        if (num == 14){ hoge = "は" + f_RepeatWord("ふ") + f_RepeatWord("う") + "゛" + f_RepeatWord("ぅ") + f_RepeatWord("う") + "゛" + f_RepeatWord("ぅ") + f_RepeatWord("…") + f_RepeatWord("っ") + f_RepeatWord("…") + f_RepeatWord2("！"); }
      
        if (num == 15){ hoge = "は" + f_RepeatWord("あ") + f_RepeatWord("ン") + f_RepeatWord("～") + f_RepeatWord("っ") + f_RepeatWord2("！"); }
        if (num == 16){ hoge = "は" + f_RepeatWord("あ") + f_RepeatWord("ン") + f_RepeatWord("っ") + f_RepeatWord2("！"); }
        if (num == 17){ hoge = "は" + f_RepeatWord("あ") + f_RepeatWord("ン") + f_RepeatWord2("！"); }
        if (num == 18){ hoge = "は" + f_RepeatWord("あ") + f_RepeatWord("ン") + f_RepeatWord("ー") + f_RepeatWord("っ") + f_RepeatWord2("！"); }
        if (num == 19){ hoge = "は" + f_RepeatWord("あ") + f_RepeatWord("ン") + f_RepeatWord("っ") + f_RepeatWord("…") + f_RepeatWord2("！"); }
        if (num == 20){ hoge = "は" + f_RepeatWord("あ") + f_RepeatWord("ン") + f_RepeatWord("…") + f_RepeatWord("っ") + f_RepeatWord("…") + f_RepeatWord2("！"); }
        if (num == 21){ hoge = "は" + f_RepeatWord("あ") + f_RepeatWord("ン") + f_RepeatWord("…") + f_RepeatWord("っ") + f_RepeatWord2("！"); }

        if (num == 22){ hoge = f_RepeatWord("あ") + f_RepeatWord("ふ") + f_RepeatWord("う") + "゛" + f_RepeatWord("ぅ") + f_RepeatWord("う") + "゛" + f_RepeatWord("ぅ") + f_RepeatWord("っ") + f_RepeatWord2("！"); }
        if (num == 23){ hoge = f_RepeatWord("あ") + f_RepeatWord("ふ") + f_RepeatWord("う") + f_RepeatWord("ぅ") + f_RepeatWord2("！"); }
        if (num == 24){ hoge = f_RepeatWord("あ") + f_RepeatWord("ふ") + f_RepeatWord("う") + "゛" + f_RepeatWord("ぅ") + f_RepeatWord("～") + f_RepeatWord("っ") + f_RepeatWord2("！"); }
        if (num == 25){ hoge = f_RepeatWord("あ") + "゛" + f_RepeatWord("ふ") + f_RepeatWord("う") + "゛" + f_RepeatWord("ぅ") + f_RepeatWord("…") + f_RepeatWord("っ") + f_RepeatWord("…") + f_RepeatWord2("！"); }
        if (num == 26){ hoge = f_RepeatWord("あ") + f_RepeatWord("ふ") + f_RepeatWord("う") + "゛" + f_RepeatWord("ぅ") + f_RepeatWord("う") + "゛" + f_RepeatWord("ぅ") + f_RepeatWord("…") + f_RepeatWord("っ") + f_RepeatWord2("！"); }
        if (num == 27){ hoge = f_RepeatWord("あ") + "゛" + f_RepeatWord("ふ") + f_RepeatWord("う") + f_RepeatWord("ぅ") + f_RepeatWord("…") + f_RepeatWord("っ") + f_RepeatWord("…") + f_RepeatWord2("！"); }
        if (num == 28){ hoge = f_RepeatWord("あ") + f_RepeatWord("ふ") + f_RepeatWord("う") + "゛" + f_RepeatWord("ぅ") + f_RepeatWord("ー") + "゛" + f_RepeatWord("っ") + f_RepeatWord2("！"); }
        
     return hoge;
    };
    function f_ChunkWord(str, n) {
    var ret = [];
    var i;
    var len;
    var hoge = "";
    for(i = 0, len = str.length; i < len; i += n) {
       ret.push(str.substr(i, n))
    }

    for(var i = 0; i < ret.length; i++){hoge = hoge + ret[i] + "\n";}
    return hoge
    };


/*
$dataClasses[id];職業名
$dataSkills[id];スキル名
$dataItems[id];アイテム名
$dataWeapons[id];武器名
$dataArmors[id];防具名
$dataEnemies[id];敵キャラ名
$dataTroops[id];敵グループ名
$dataStates[id];ステート名
*/
// ****************************************************************************** 
let Play01 = "舐める";
let Play01_M = 1;
let Play01_A = "舐めてるっ,ペロペロ気持ち良いわ,ペロペロ感じちゃう";
let Play02 = "オナニー";
let Play02_M = 1;
let Play02_A = "オナニー,オナニー気持ち良いわ,オナニー感じちゃう";
let Play03 = "バイブ";
let Play03_M = 2.6;
let Play03_A = "バイブ動いてる,バイブ、気持ち良いわ,バイブ、感じちゃう";
let Play04 = "ＳＥＸ";
let Play04_M = 1;
let Play04_A = "おマ○コ調最高,おマ○コ最高,おマ○コ気持ち良いわ,おマ○コ感じちゃう";
let Play05 = "小便";
let Play05_M = 4.8;
let Play05_A = "小便,小便、気持ち良いわ,小便、感じちゃう";
let Play06 = "おなら";
let Play06_M = 3.8;
let Play06_A = "おなら,おなら、気持ち良いわ,おなら、感じちゃう";
let Play07 = "脱糞";
let Play07_M = 5.1;
let Play07_A = "脱糞,脱糞、気持ち良いわ,脱糞、感じちゃう";

        function f_Play_Word(){
            let hoge="";
            let hoge2;
            if ($gameVariables.value(150) == 1){hoge = Play01_A};
            if ($gameVariables.value(150) == 2){hoge = Play02_A};
            if ($gameVariables.value(150) == 3){hoge = Play03_A};
            if ($gameVariables.value(150) == 4){hoge = Play04_A};
            if ($gameVariables.value(150) == 5){hoge = Play05_A};
            if ($gameVariables.value(150) == 6){hoge = Play06_A};
            if ($gameVariables.value(150) == 7){hoge = Play07_A};
            hoge2 = f_Array(hoge) + f_Array(",!,!!") + f_Array(",　");
            return hoge2;
        };

const pluginName = 'Erotan_Plugin';
        PluginManager.registerCommand(pluginName, '体験版', function() {
                $gameVariables.setValue(100,tryHoge);
                            });
        PluginManager.registerCommand(pluginName, '調教名', function() {
            $gameVariables.setValue(141,Play01);
            $gameVariables.setValue(142,Play02);
            $gameVariables.setValue(143,Play03);
            $gameVariables.setValue(144,Play04);
            $gameVariables.setValue(145,Play05);
            $gameVariables.setValue(146,Play06);
            $gameVariables.setValue(147,Play07);
            function f_PlayName(hoge){
            var hoge2 = $gameVariables.value(hoge);
                if(hoge2.length == 4){$gameVariables.setValue(hoge + 10,$gameVariables.value(hoge)+"");}
                if(hoge2.length == 3){$gameVariables.setValue(hoge + 10,$gameVariables.value(hoge)+"　");}
                if(hoge2.length == 2){$gameVariables.setValue(hoge + 10,$gameVariables.value(hoge)+"　　");}
                if(hoge2.length == 1){$gameVariables.setValue(hoge + 10,$gameVariables.value(hoge)+"　　　");}
            };
            f_PlayName(141);
            f_PlayName(142);
            f_PlayName(143);
            f_PlayName(144);
            f_PlayName(145);
            f_PlayName(146);
            f_PlayName(147);
            });
        PluginManager.registerCommand(pluginName, 'ピクチャ_全消去', function() {
            for(var i = 0; i <= 100; i++){$gameScreen.erasePicture(i)}
        });

        PluginManager.registerCommand(pluginName, '調教効果音＆待つ', function() {
            AudioManager.playMe({"name":"effect/" + $gameVariables.value(150),"volume":90,"pitch":100,"pan":0});
            let hoge;
            if ($gameVariables.value(150) == 1){hoge = Play01_M};
            if ($gameVariables.value(150) == 2){hoge = Play02_M};
            if ($gameVariables.value(150) == 3){hoge = Play03_M};
            if ($gameVariables.value(150) == 4){hoge = Play04_M};
            if ($gameVariables.value(150) == 5){hoge = Play05_M};
            if ($gameVariables.value(150) == 6){hoge = Play06_M};
            if ($gameVariables.value(150) == 7){hoge = Play07_M};
            hoge = hoge * 60;
            this.wait(hoge);
        });

        PluginManager.registerCommand(pluginName, 'ノベル効果音＆待つ', function() {
        let num_NovelSE = Math.floor(Math.random()*7);
            AudioManager.playMe({"name":"effect02/" + num_NovelSE,"volume":90,"pitch":100,"pan":0});
            let hoge;
            if (num_NovelSE == 0){hoge = 2.8};
            if (num_NovelSE == 1){hoge = 3};
            if (num_NovelSE == 2){hoge = 3.4};
            if (num_NovelSE == 3){hoge = 3};
            if (num_NovelSE == 4){hoge = 3.2};
            if (num_NovelSE == 5){hoge = 2.9};
            if (num_NovelSE == 6){hoge = 3};
            hoge = hoge * 60;
            this.wait(hoge);
        });

        PluginManager.registerCommand(pluginName, '精子発射音', function() {
            let hoge = "pyu";
            hoge = hoge + Math.floor(Math.random()*6);
            AudioManager.playSe({"name":hoge,"volume":100,"pitch":100,"pan":0});
        });

        PluginManager.registerCommand(pluginName, 'Letter', function(args) {
            const LetterName = args.LetterName;
            var hoge;
            var height;
            var width;
            var Width0;
            var Width2;
            var Width3;
            var Width1;
            if (LetterName == 'letterHN') {
                f_RandomNumber(6,"1",0);
                            hoge = 'letterHN/' + Num_RandomNumber_string;
                f_RandomNumber(255,"1",0);
                height = Num_RandomNumber;
                            $gameScreen.showPicture(80, hoge, 0, 0, Num_RandomNumber, 100, 100, 255, 0);

                f_RandomNumber(6,"1",0);
                            hoge = 'letterHN/' + Num_RandomNumber_string;
                f_RandomNumber(255,"1",0);
                height = Num_RandomNumber;
                            $gameScreen.showPicture(81, hoge, 0, 131, Num_RandomNumber, 100, 100, 255, 0);

                f_RandomNumber(6,"1",0);
                            hoge = 'letterHN/' + Num_RandomNumber_string;
                f_RandomNumber(255,"1",0);
                height = Num_RandomNumber;
                            $gameScreen.showPicture(84, hoge, 0, 524, Num_RandomNumber, 100, 100, 255, 0);

                f_RandomNumber(6,"1",0);
                            hoge = 'letterHN/' + Num_RandomNumber_string;
                f_RandomNumber(255,"1",0);
                height = Num_RandomNumber;
                            $gameScreen.showPicture(85, hoge, 0, 655, Num_RandomNumber, 100, 100, 255, 0);
		    }
            if (LetterName == 'letterS') {
                f_RandomNumber(1,"1",0);
                if(Num_RandomNumber_string == "0"){
                Width0 = 127;
                Width2 = 167;
                Width3 = 412 + 10;
                Width1 = 657;	
                }
                f_RandomNumber(128,"1",0);
                            hoge = 'letterF/' + Num_RandomNumber_string;
                width = 697 ;
                f_RandomNumber(30,"1",0);
                height = 2 + Num_RandomNumber;
                            $gameScreen.showPicture(80, hoge, 0, width, height, 100, 100, 255, 0);

                f_RandomNumber(128,"1",0);
                            hoge = 'letterF/' + Num_RandomNumber_string;
                width = 0 ;
                f_RandomNumber(315,"1",0);
                height = 2 + Num_RandomNumber;
                            $gameScreen.showPicture(81, hoge, 0, width, height, 100, 100, 255, 0);

                f_RandomNumber(88,"1",0);
                            hoge = 'letter/' + Num_RandomNumber_string;
                f_RandomNumber(280,"1",0);
                height = Num_RandomNumber;
                            $gameScreen.showPicture(82, hoge, 0, Width0, height, 100, 100, 255, 0);

                f_RandomNumber(88,"1",0);
                            hoge = 'letter/' + Num_RandomNumber_string;
                f_RandomNumber(280,"1",0);
                height = Num_RandomNumber;
                            $gameScreen.showPicture(83, hoge, 0, Width1, height, 100, 100, 255, 0);

                f_RandomNumber(62,"1",0);
                            hoge = 'letterS/' + Num_RandomNumber_string;
                f_RandomNumber(250,"1",0);
                height = Num_RandomNumber;
                            $gameScreen.showPicture(84, hoge, 0, Width2, height, 100, 100, 255, 0);

                f_RandomNumber(62,"1",0);
                            hoge = 'letterS/' + Num_RandomNumber_string;
                f_RandomNumber(250,"1",0);
                height = Num_RandomNumber;
                            $gameScreen.showPicture(85, hoge, 0, Width3, height, 100, 100, 255, 0);
		     }
            if (LetterName == 'letter') {
                f_RandomNumber(2,"1",0);
                if(Num_RandomNumber_string == "0"){
                Width2 = 127;
                Width3 = 372 + 10;
                Width0 = 617;
                Width1 = 657;
                }
                if(Num_RandomNumber_string == "1"){
                Width0 = 127;
                Width1 = 167;
                Width2 = 207;
                Width3 = 452;
                }
                f_RandomNumber(128,"1",0);
                            hoge = 'letterF/' + Num_RandomNumber_string;
                width = 697 ;
                f_RandomNumber(30,"1",0);
                height = 2 + Num_RandomNumber;
                            $gameScreen.showPicture(80, hoge, 0, width, height, 100, 100, 255, 0);

                f_RandomNumber(128,"1",0);
                            hoge = 'letterF/' + Num_RandomNumber_string;
                width = 0 ;
                f_RandomNumber(315,"1",0);
                height = 2 + Num_RandomNumber;
                            $gameScreen.showPicture(81, hoge, 0, width, height, 100, 100, 255, 0);

                f_RandomNumber(88,"1",0);
                            hoge = 'letter/' + Num_RandomNumber_string;
                f_RandomNumber(280,"1",0);
                height = Num_RandomNumber;
                            $gameScreen.showPicture(82, hoge, 0, Width0, height, 100, 100, 255, 0);

                f_RandomNumber(88,"1",0);
                            hoge = 'letter/' + Num_RandomNumber_string;
                f_RandomNumber(280,"1",0);
                height = Num_RandomNumber;
                            $gameScreen.showPicture(83, hoge, 0, Width1, height, 100, 100, 255, 0);

                f_RandomNumber(98,"1",0);
                            hoge = 'letter2/' + Num_RandomNumber_string;//245
                f_RandomNumber(250,"1",0);
                height = Num_RandomNumber;
                            $gameScreen.showPicture(84, hoge, 0, Width2, height, 100, 100, 255, 0);

                f_RandomNumber(98,"1",0);
                            hoge = 'letter2/' + Num_RandomNumber_string;
                f_RandomNumber(250,"1",0);
                height = Num_RandomNumber;
                            $gameScreen.showPicture(85, hoge, 0, Width3, height, 100, 100, 255, 0);
		    }
            if (LetterName == 'letterE') {
                f_RandomNumber(1,"1",0);
                if(Num_RandomNumber_string == "0"){
                Width0 = 127;
                Width2 = 167;
                Width3 = 412 + 10;
                Width1 = 657;	
                }
                f_RandomNumber(62,"1",0);
                            hoge = 'letterSS/' + Num_RandomNumber_string;
                width = 688 ;
                f_RandomNumber(30,"1",0);
                height = 2 + Num_RandomNumber;
                            $gameScreen.showPicture(80, hoge, 0, width, height, 100, 100, 255, 0);

                f_RandomNumber(62,"1",0);
                            hoge = 'letterSS/' + Num_RandomNumber_string;
                width = 0 ;
                f_RandomNumber(315,"1",0);
                height = 2 + Num_RandomNumber;
                            $gameScreen.showPicture(81, hoge, 0, width, height, 100, 100, 255, 0);

                f_RandomNumber(88,"1",0);
                            hoge = 'letter/' + Num_RandomNumber_string;
                f_RandomNumber(280,"1",0);
                height = Num_RandomNumber;
                            $gameScreen.showPicture(82, hoge, 0, Width0, height, 100, 100, 255, 0);

                f_RandomNumber(88,"1",0);
                            hoge = 'letter/' + Num_RandomNumber_string;
                f_RandomNumber(280,"1",0);
                height = Num_RandomNumber;
                            $gameScreen.showPicture(83, hoge, 0, Width1, height, 100, 100, 255, 0);

                f_RandomNumber(19,"1",0);
                            hoge = 'letterE/' + Num_RandomNumber_string;
                f_RandomNumber(250,"1",0);
                height = Num_RandomNumber;
                            $gameScreen.showPicture(84, hoge, 0, Width2, height, 100, 100, 255, 0);

                f_RandomNumber(19,"1",0);
                            hoge = 'letterE/' + Num_RandomNumber_string;
                f_RandomNumber(250,"1",0);
                height = Num_RandomNumber;
                            $gameScreen.showPicture(85, hoge, 0, Width3, height, 100, 100, 255, 0);
		    }
                });

        PluginManager.registerCommand(pluginName, 'face', function(args) {
         const FaceOnOff = args.FaceOnOff;
         const ActorImg = args.ActorImg;
         const FaceNumber = args.FaceNumber;
         const Message = args.Message;
            SoundManager.playOk();
            $gameMessage.newPage();
            $gameMessage.add(Message);
            if(FaceOnOff){
            $gameMessage.setFaceImage(ActorImg, FaceNumber);
            }else{
            let num_FaceNumber = Math.floor(Math.random()*8);
            $gameMessage.setFaceImage(ActorImg, num_FaceNumber);
            }
            this.setWaitMode('message');   


    const SetNo = 1;
    if(SetNo == 1){
        var num_masturbation1 = "シコシコ,センズリ,オナニー,マスターベーション,マスかき,シュッシュッ,自家発電";
        var num_Kyaa = "キャア～,もう、ヤだぁ～,もう、いやだぁ～ん,イヤだぁ～,イヤだぁ～ん,キャアッ,イヤだぁ～,キャアア～,キャアア～ん";
        var num_Kyaa2 = "キャッ,イヤ,キャア～,ダメッ,ダメだって,ちょっと,やめて";
        var num_Mark = "～！,ー！,！";
        var num_tyou = "超,無茶苦茶,すご～く,激ヤバに,超ヤバイぐらいに,ビックリするぐらい,驚くぐらい,驚く程に";
        var num_sperm = "チ○ポ汁,おチ○ポミルク,おチ○ポ汁";
        var num_sperm_PYUPYU1 = "ピュッピュッピュッ,ドピュッドピュッ,ドピュッピュッピュッ,ピュッピュッ";

        $gameVariables.setValue(131,f_Array(num_Kyaa) + "！　" + $gameVariables.value($gameVariables.value(150) + 140) + "だ何て" + f_Array(num_Mark) + "\n" + 
        f_Array(num_tyou) + f_Array("変態") + f_Array("だわ！,過ぎるわ！"));
        var word132;
        let num = Math.floor(Math.random() * 6) ;        
        if (num == 0){word132 = f_Play_Word() + f_A_Word() + f_A_Word() + f_A_Word();}
        if (num == 1){word132 = f_A_Word() + f_Play_Word() + f_A_Word() + f_A_Word();}
        if (num == 2){word132 = f_A_Word() + f_A_Word() + f_Play_Word() + f_A_Word();}
        if (num == 3){word132 = f_A_Word() + f_A_Word() + f_A_Word() + f_Play_Word();}
        if (num == 4){word132 = f_Play_Word() + f_A_Word() + f_Play_Word() + f_A_Word();}
        if (num == 5){word132 = f_A_Word() + f_Play_Word() + f_A_Word() + f_Play_Word();}
        $gameVariables.setValue(132, f_ChunkWord(word132,23));
        $gameVariables.setValue(133,"疲れた。");
        $gameVariables.setValue(134,"この辺で止めておこう。");
        var word135;
        var word135_A = "ピッチピチの,ピッチピチ果実の,イマドキの,若さ溢れる,もぎたての果実の,生きのいい,新鮮もぎたての,若くて張りのある,プリップリの,ぷるんぷるんの,ぷるぷるの,フレッシュな" ;
        word135 = f_Array(num_Kyaa) + "！　" + f_Array("変態") + f_Array("だわ,過ぎるわ") + "！　" + f_Array(word135_A) + "美少女の私を調教して" + f_Array("超濃厚な,ネバネバの,匂う,臭い,白濁の,特濃,マジでこってり濃厚な") + f_Array(num_sperm) + "を" + f_Array(num_sperm_PYUPYU1) + "したいなんて" + f_Array(",～,ー") + f_Array("！,！！") ;
        $gameVariables.setValue(135,f_ChunkWord(word135,23));
        }
    if(SetNo == 100){face(this,'メッセージ', 'Actor1', 0);}

    // ******************************************************************************
     const NovelNo = 1;
         if(NovelNo == 1){
             function f_NovelNo(){
     let hoge;
     let num = Math.floor(Math.random()*28) + 1;
        
        if (num == 1){ hoge = f_RepeatWord("シコ") + f_RepeatWord("ォ") + f_RepeatWord("ー") + f_RepeatWord2("！"); }        
        if (num == 2){ hoge = f_RepeatWord("シコ") + f_RepeatWord("ォ") + f_RepeatWord("ッ") + f_RepeatWord2("！"); }        
        if (num == 3){ hoge = "あ゛" + f_RepeatWord("ん") + f_RepeatWord("っ") + f_RepeatWord2("！"); }
        if (num == 4){ hoge = f_RepeatWord("あ") + f_RepeatWord("ん") + f_RepeatWord("…") + f_RepeatWord2("！"); }
        if (num == 5){ hoge = "あ゛" + f_RepeatWord("ん") + f_RepeatWord("…") + f_RepeatWord2("！"); }
        if (num == 6){ hoge = f_RepeatWord("あ") + f_RepeatWord("ん") + f_RepeatWord("ー") + f_RepeatWord("っ") + f_RepeatWord2("！"); }
        if (num == 7){ hoge = f_RepeatWord("あ") + f_RepeatWord("ん") + f_RepeatWord("…") + f_RepeatWord("っ") + f_RepeatWord2("！"); }
        
        if (num == 8){ hoge = "は" + f_RepeatWord("ふ") + f_RepeatWord("う") + f_RepeatWord("ぅ") + f_RepeatWord2("！"); }
        if (num == 9){ hoge = "は" + f_RepeatWord("ふ") + f_RepeatWord("う") + f_RepeatWord("ぅ") + f_RepeatWord("…") + f_RepeatWord2("！"); }
        if (num == 10){ hoge = "は" + f_RepeatWord("ふ") + f_RepeatWord("う") + f_RepeatWord("ぅ") + f_RepeatWord("っ") + f_RepeatWord2("！"); }
        if (num == 11){ hoge = "は" + f_RepeatWord("ふ") + f_RepeatWord("う") + f_RepeatWord("ぅ") + f_RepeatWord("う") + "゛" + f_RepeatWord("ぅ") + f_RepeatWord("…") + f_RepeatWord2("！"); }
        if (num == 12){ hoge = "は" + f_RepeatWord("ふ") + f_RepeatWord("う") + "゛" + f_RepeatWord("ぅ") + f_RepeatWord("う") + "゛" + f_RepeatWord("ぅ") + f_RepeatWord("っ") + f_RepeatWord2("！"); }
        if (num == 13){ hoge = "は" + f_RepeatWord("ふ") + f_RepeatWord("う") + f_RepeatWord("ぅ") + f_RepeatWord("う") + f_RepeatWord("ぅ") + f_RepeatWord("っ") + f_RepeatWord2("！"); }
        if (num == 14){ hoge = "は" + f_RepeatWord("ふ") + f_RepeatWord("う") + "゛" + f_RepeatWord("ぅ") + f_RepeatWord("う") + "゛" + f_RepeatWord("ぅ") + f_RepeatWord("…") + f_RepeatWord("っ") + f_RepeatWord("…") + f_RepeatWord2("！"); }
      
        if (num == 15){ hoge = "は" + f_RepeatWord("あ") + f_RepeatWord("ン") + f_RepeatWord("～") + f_RepeatWord("っ") + f_RepeatWord2("！"); }
        if (num == 16){ hoge = "は" + f_RepeatWord("あ") + f_RepeatWord("ン") + f_RepeatWord("っ") + f_RepeatWord2("！"); }
        if (num == 17){ hoge = "は" + f_RepeatWord("あ") + f_RepeatWord("ン") + f_RepeatWord2("！"); }
        if (num == 18){ hoge = "は" + f_RepeatWord("あ") + f_RepeatWord("ン") + f_RepeatWord("ー") + f_RepeatWord("っ") + f_RepeatWord2("！"); }
        if (num == 19){ hoge = "は" + f_RepeatWord("あ") + f_RepeatWord("ン") + f_RepeatWord("っ") + f_RepeatWord("…") + f_RepeatWord2("！"); }
        if (num == 20){ hoge = "は" + f_RepeatWord("あ") + f_RepeatWord("ン") + f_RepeatWord("…") + f_RepeatWord("っ") + f_RepeatWord("…") + f_RepeatWord2("！"); }
        if (num == 21){ hoge = "は" + f_RepeatWord("あ") + f_RepeatWord("ン") + f_RepeatWord("…") + f_RepeatWord("っ") + f_RepeatWord2("！"); }

        if (num == 22){ hoge = f_RepeatWord("シコ") + f_RepeatWord("シーコ") + f_RepeatWord("シコ") + "感じなさい！　" + f_RepeatWord("シ") + f_RepeatWord("コ") + f_RepeatWord("ォ") + f_RepeatWord("～") + f_RepeatWord2("！"); }
        if (num == 23){ hoge = f_RepeatWord("シーコ") + f_RepeatWord("シコ") + f_RepeatWord("シーコ") + f_RepeatWord("～") + f_RepeatWord2("！"); }
        if (num == 24){ hoge = f_RepeatWord("シコ") + f_RepeatWord("シーコ") + f_RepeatWord("ー") + "感じなさい！　" + f_RepeatWord("シコ") + f_RepeatWord("～") + f_RepeatWord("シコ") + f_RepeatWord2("！"); }
        if (num == 25){ hoge = f_RepeatWord("シコ") +  f_RepeatWord("シーコ") + f_RepeatWord("ッ") + "感じなさい！　" + f_RepeatWord("ぅ") + f_RepeatWord("…") + f_RepeatWord("シコ") + f_RepeatWord("…") + f_RepeatWord2("！"); }
        if (num == 26){ hoge = f_RepeatWord("シコ") + f_RepeatWord("シーコ") + f_RepeatWord("ッ") + "感じなさい！　" + f_RepeatWord("～") + f_RepeatWord("ぅ") + f_RepeatWord("シコ") + f_RepeatWord("…") + f_RepeatWord("シコ") + f_RepeatWord2("！"); }
        if (num == 27){ hoge = f_RepeatWord("シコ") +  f_RepeatWord("シーコ") + f_RepeatWord("ッ") + f_RepeatWord("ー") + f_RepeatWord("…") + f_RepeatWord("っ") + f_RepeatWord("…") + f_RepeatWord2("！"); }
        if (num == 28){ hoge = f_RepeatWord("シコ") + f_RepeatWord("シーコ") + f_RepeatWord("ッ") + "感じなさい！　" + f_RepeatWord("ー") + f_RepeatWord("～") + f_RepeatWord("っ") + f_RepeatWord2("！"); }
        
     return hoge;
    };

    
        function f_NovelPlay(){
            let hoge="";
            let hoge2;
                 let num = Math.floor(Math.random()*7) + 1;
                    if (num == 1){ hoge = "おチ○ポ、" + f_RepeatWord("シュッ") + f_RepeatWord2("！"); }        
                    if (num == 2){ hoge =  "おチ○" + f_RepeatWord("ポッ") + f_RepeatWord2("！"); }        
                    if (num == 3){ hoge =  "おチ○" + f_RepeatWord("ポッ") + "，" + f_RepeatWord("シュッ") + f_RepeatWord2("！"); }     
                    if (num == 4){ hoge =  "手コキでいきなさい"; }
                    if (num == 5){ hoge = "チ○チン、" + f_RepeatWord("シュッ") + f_RepeatWord2("！"); }      
                    if (num == 6){ hoge = "チ○チン"; }
                    if (num == 7){ hoge = "手コキされまくっていきなさい"; }
            hoge2 = f_Array(hoge) + f_Array(",!,!!") + f_Array(",　");
            return hoge2;
        };

        var Novel_play = "手でシコシコして";//欲しい
        var Novel_play2 = "美少女の私に手コキされて";//射精しなさい！

        var num_masturbation1 = "シコシコ,センズリ,オナニー,マスターベーション,マスかき,シュッシュッ,自家発電";
        var num_Kyaa = "キャア～,もう、ヤだぁ～,もう、いやだぁ～ん,イヤだぁ～,イヤだぁ～ん,キャアッ,イヤだぁ～,キャアア～,キャアア～ん";
        var num_Kyaa2 = "キャッ,イヤ,キャア～,ダメッ,ダメだって,ちょっと,やめて";
        var num_Mark = "～！,ー！,！";
        var num_tyou = "超,無茶苦茶,すご～く,激ヤバに,超ヤバイぐらいに,ビックリするぐらい,驚くぐらい,驚く程に";
        var num_sperm = "チ○ポ汁,おチ○ポミルク,おチ○ポ汁";
        var num_sperm_PYUPYU1 = "ピュッピュッピュッ,ドピュッドピュッ,ドピュッピュッピュッ,ピュッピュッ";
        $gameVariables.setValue(31,f_Array(num_Kyaa) + "！　" + Novel_play + "欲しいだ何て" + f_Array(num_Mark) + "\n" + 
        f_Array(num_tyou) + f_Array("変態") + f_Array("だわ！,過ぎるわ！"));
        var word32;
        let num = Math.floor(Math.random() * 6) ;        
        if (num == 0){word32 = f_NovelPlay() + f_NovelNo() + f_NovelNo() + f_NovelNo();}
        if (num == 1){word32 = f_NovelNo() + f_NovelPlay() + f_NovelNo() + f_NovelNo();}
        if (num == 2){word32 = f_NovelNo() + f_NovelNo() + f_NovelPlay() + f_NovelNo();}
        if (num == 3){word32 = f_NovelNo() + f_NovelNo() + f_NovelNo() + f_NovelPlay();}
        if (num == 4){word32 = f_NovelPlay() + f_NovelNo() + f_NovelPlay() + f_NovelNo();}
        if (num == 5){word32 = f_NovelNo() + f_NovelPlay() + f_NovelNo() + f_NovelPlay();}
        $gameVariables.setValue(32, f_ChunkWord(word32,23));
        $gameVariables.setValue(33,"疲れた。");
        $gameVariables.setValue(34,"この辺で止めておこう。");
        var word35;
        var word35_A = "ピッチピチの,ピッチピチ果実の,イマドキの,若さ溢れる,もぎたての果実の,生きのいい,新鮮もぎたての,若くて張りのある,プリップリの,ぷるんぷるんの,ぷるぷるの,フレッシュな" ;
        word35 = f_Array(num_Kyaa) + "！　" + f_Array("変態") + f_Array("だわ,過ぎるわ") + "！　" + f_Array(word35_A) + Novel_play2 + f_Array("超濃厚な,ネバネバの,匂う,臭い,白濁の,特濃,マジでこってり濃厚な") + f_Array(num_sperm) + "を" + f_Array(num_sperm_PYUPYU1) + "したいなんて" + f_Array(",～,ー") + f_Array("！,！！") ;
        $gameVariables.setValue(35,f_ChunkWord(word35,23));
        }

    });


})();